import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
// uni.$u.config.unit = 'rpx'

import utils from './utils/common.js'
Vue.prototype.utils = utils;
import {setData} from './utils/common.js'
Vue.prototype.setData = setData;
import {formatSeconds}from './utils/tools.js'
Vue.prototype.$formatSeconds = formatSeconds;

//import router from '@/router/router.js'  
//import {RouterMount} from 'uni-simple-router'

App.mpType = 'app'
const app = new Vue({
    ...App
})
//RouterMount(app,router,'#app')
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif